'Before running this test, make sure you have completed test 1, the speaker.
'This test will ensure that the SRF05 distance sensor (the 2 eyes) is working

symbol trig = 0 ' Define output pin for Trigger pulse
symbol echo = 1 ' Define input pin for Echo pulse
symbol range = w6 ' 16 bit word variable for range
Symbol pinSC_beep = 0

puls:
high portc trig
pause 10
low  portc trig
pulsin echo,1,range ' measures the range in 10uS steps

debug
if range < 128 then
	sound pinSC_beep,(range,1) low pinSC_beep
endif
goto puls

'When you run this program, a "debug window" might pop up on your computer screen - edpending on your OS
'You can use this, to get a feel of what the sensor is returning - if you care :)
'You might have to tick off or chose "word" in the window, for this to make more sense
'The simpler test is that the robot should make a lot of strange noise, if anything is in front of it.
'The noise should change, after how close the object is
'If this test fails (and you have completed test 1), make sure all cables to the SRF05 are correct

'For a little fun, try to delete the line that says "debug", and run the program again :) 